EDIT - feature request #6913
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Remove e3 parts and dependencies
08/14/2017 09:50 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Associated revisions

Revision 34dad812 - 08/23/2017 09:06 AM - Patrick Plitzner

ref #6913 Remove unused views from store plugin

Revision a229f63f - 09/27/2017 06:43 PM - Patrick Plitzner

ref #6913 Remove e3 context menus and views

Revision bc44ad79 - 10/06/2017 04:48 PM - Patrick Plitzner

ref #6913 Remove €3 plugin extensions

Revision 0c990ba5 - 10/09/2017 06:21 PM - Patrick Plitzner
ref #6913 Remove e3 BulkEditor and handlers

Revision e20cdc31 - 10/09/2017 06:26 PM - Patrick Plitzner

ref #6913 Remove e3 details view and supplemental data view

Revision 6ab007a9 - 10/09/2017 06:28 PM - Patrick Plitzner

ref #6913 Remove e3 descriptive and uses view

Revision 3a5db1f1 - 10/09/2017 06:29 PM - Patrick Plitzner

ref #6913 Remove e3 term editor

Revision 7638b20a - 10/09/2017 06:43 PM - Patrick Plitzner

ref #6913 Remove €3 annotated line editor

Revision 7954837 - 10/09/2017 06:45 PM - Patrick Plitzner
ref #6913 Remove e3 CdmAuthority editor

Revision Obffdf3c - 10/09/2017 06:46 PM - Patrick Plitzner
ref #6913 Remove e3 PolytomousKeyListEditor

Revision 830816ee - 10/09/2017 06:51 PM - Patrick Plitzner

ref #6913 Remove e3 polytomous editors

Revision 500dfe44 - 10/09/2017 06:53 PM - Patrick Plitzner

ref #6913 Remove e3 data import editors

Revision b85cc866 - 10/09/2017 07:05 PM - Patrick Plitzner

ref #6913 Remove e3 alignment editor
Revision 35f389ec - 10/09/2017 07:09 PM - Patrick Plitzner

ref #6913 Remove e3 checklist editor

Revision ca1a0613 - 10/10/2017 10:04 AM - Patrick Plitzner

ref #6913 Remove e3 search result view

Revision 1336e9c4 - 10/10/2017 10:14 AM - Patrick Plitzner

ref #6913 Remove test specimen import view

Revision 741ce465 - 10/10/2017 10:15 AM - Patrick Plitzner

ref #6913 Remove e3 pherogram view

Revision eb6d47a9 - 10/10/2017 10:19 AM - Patrick Plitzner
ref #6913 Remove €3 poly key view

Revision 07¢c004e9 - 10/10/2017 10:22 AM - Patrick Plitzner

ref #6913 Remove €3 data import views

Revision f3¢95901 - 10/10/2017 10:23 AM - Patrick Plitzner

ref #6913 Remove e3 data source view

Revision e9c43a9d - 10/10/2017 10:24 AM - Patrick Plitzner

ref #6913 Remove e3 concept graph view

Revision 7450edc8 - 10/10/2017 10:24 AM - Patrick Plitzner

ref #6913 Remove €3 referencing objects view

Revision 46a52cbd - 10/10/2017 10:45 AM - Patrick Plitzner

ref #6913 Remove e3 cdm view parts and cdm viewer utils

Revision 03583179 - 10/10/2017 10:59 AM - Patrick Plitzner

ref #6913 Remove €3 taxon navigator

Revision b0a7243b - 10/12/2017 09:21 AM - Patrick Plitzner

ref #6913 Remove e3 service from name editor

Revision 243e2b8e - 10/12/2017 07:29 PM - Patrick Plitzner
ref #6913 Remove e3 dependencies from AbstractUtility

Revision 22f2d1a4 - 10/13/2017 11:24 AM - Patrick Plitzner

ref #6913 Remove org.eclipse.ui dependency from NavigationUtil

Revision 972ecc88 - 10/13/2017 12:05 PM - Patrick Plitzner

ref #6913 Remove org.eclipse.ui dependency from AbstractUtility
¢ inject |IEclipseContext into CdmFactory

Revision 0fa0610e - 10/13/2017 02:02 PM - Patrick Plitzner

ref #6913 Remove org.eclipse.ui dependency from AbstractUtility
e fix changing type of description element

Revision 56fbcef9 - 10/13/2017 03:03 PM - Patrick Plitzner
ref #6913 Remove getActivePage() method

Revision 2d137e2c - 10/16/2017 02:01 PM - Patrick Plitzner

ref #6913 Remove dependency to WorkbenchWindow from utility class
Revision 4d745c9e - 10/26/2017 09:25 AM - Patrick Plitzner

ref #6913 Remove |Editorinput dependency from taxon editor input

Revision 3129c2dd - 10/26/2017 09:26 AM - Patrick Plitzner

ref #6913 Remove |Editorinput dependency from derivate editor input

Revision 381bdda4 - 10/26/2017 09:34 AM - Patrick Plitzner
ref #6913 Remove |Editorinput dependency from bulk editor input

Revision 1364194 - 10/26/2017 10:26 AM - Patrick Plitzner

ref #6913 Remove |Editorinput dependency from term editor input

Revision 5e588b6d - 10/26/2017 10:28 AM - Patrick Plitzner

ref #6913 Remove |Editorinput dependency from alignment editor input

Revision ceba0770 - 10/26/2017 10:31 AM - Patrick Plitzner

ref #6913 Remove |Editorinput dependency from data import editor input

Revision 5e9a036f - 10/26/2017 10:33 AM - Patrick Plitzner

ref #6913 Remove |Editorinput dependency from polytomous editor input

Revision 1d892040 - 10/26/2017 10:42 AM - Patrick Plitzner
ref #6913 Remove |Editorinput dependency from checklist editor input

Revision 87156a2a - 10/26/2017 10:43 AM - Patrick Plitzner
ref #6913 Remove |Editorinput dependency from authority editor input

Revision b00e4cb0 - 10/27/2017 04:49 PM - Patrick Plitzner

ref #6913 Remove org.eclipse.ui dependency from StoreUtil

Revision 76a4ff01 - 11/02/2017 09:25 AM - Patrick Plitzner
ref #6913 Remove ITheme(Manager) from AbstractUtility

Revision 199741f4 - 11/02/2017 10:04 AM - Patrick Plitzner

ref #6913 Remove executeCommand() from AbstractULtility

Revision 1c12d52c - 11/02/2017 02:57 PM - Patrick Plitzner

ref #6913 Remove workbench and selection handling from edit/new wizards

Revision ce998c0f - 11/06/2017 08:27 AM - Patrick Plitzner

ref #6913 Remove model workbench processor

Revision 93d251c4 - 11/06/2017 12:46 PM - Patrick Plitzner
ref #6913 Remove operation history from AbstractUtility

Revision d123c35e - 05/02/2018 09:48 AM - Patrick Plitzner

ref #6913 remove E3 commands and handlers

Revision 8c9c3c81 - 05/04/2018 03:30 PM - Patrick Plitzner

ref #6913 Remove details and supplemental view

Revision 595bbde7 - 05/04/2018 03:31 PM - Patrick Plitzner

ref #6913 Remove descriptive and uses view

Revision 5ec2e7d4 - 05/04/2018 03:32 PM - Patrick Plitzner

ref #6913 Remove concept graph view
Revision be9600f6 - 05/04/2018 03:36 PM - Patrick Plitzner
ref #6913 Remove authority editor

Revision 1ba96658 - 05/04/2018 03:47 PM - Patrick Plitzner

ref #6913 Remove checklist editor

Revision d8379b7b - 05/04/2018 03:48 PM - Patrick Plitzner

ref #6913 Remove defined term editor

Revision 7ec590f2 - 05/04/2018 03:50 PM - Patrick Plitzner

ref #6913 Remove polytomous key list editor

Revision 7dc8bc92 - 05/04/2018 03:51 PM - Patrick Plitzner

ref #6913 Remove data import editor

Revision 06aef3d4 - 05/04/2018 03:52 PM - Patrick Plitzner
ref #6913 Remove graph key editor

Revision 8cb6dbf1 - 05/04/2018 03:54 PM - Patrick Plitzner
ref #6913 Remove key editor

Revision 118433fc - 05/04/2018 04:03 PM - Patrick Plitzner

ref #6913 Remove alignment editor

Revision a9f5cf7d - 05/04/2018 04:24 PM - Patrick Plitzner
ref #6913 Remove bulk editor

Revision b6042ee0 - 05/04/2018 04:31 PM - Patrick Plitzner

ref #6913 Remove data import view

Revision fad2¢580 - 05/04/2018 04:32 PM - Patrick Plitzner

ref #6913 Remove pherogram view

Revision 3dd3f888 - 05/04/2018 04:33 PM - Patrick Plitzner

ref #6913 Remove search result view

Revision 00069e6b - 05/04/2018 04:33 PM - Patrick Plitzner
ref #6913 Remove poly key view

Revision f00083df - 05/04/2018 04:34 PM - Patrick Plitzner

ref #6913 Remove data source view

Revision 9d2cf91f - 05/04/2018 04:34 PM - Patrick Plitzner

ref #6913 Remove referencing objects view

Revision df5fb45a - 05/04/2018 04:36 PM - Patrick Plitzner

ref #6913 Remove abstract cdm editor/data view

Revision 0f80c5e7 - 05/04/2018 04:37 PM - Patrick Plitzner

ref #6913 Remove taxon navigator

Revision 8712ceal - 05/04/2018 05:31 PM - Patrick Plitzner

ref #6913 Remove alignment handler

Revision de620fc8 - 05/04/2018 05:31 PM - Patrick Plitzner

ref #6913 Remove datasource handler
Revision 41e7e87f - 05/04/2018 05:33 PM - Patrick Plitzner

ref #6913 Remove polytomous handler

Revision a61cb7d4 - 05/04/2018 05:35 PM - Patrick Plitzner

ref #6913 Remove open handler

Revision 7d5¢cb398 - 05/04/2018 05:35 PM - Patrick Plitzner

ref #6913 Remove edit new taxon handler

Revision 8d6b7efd - 05/04/2018 05:40 PM - Patrick Plitzner

ref #6913 Remove remaining handlers

Revision 598845be - 05/15/2018 04:25 PM - Patrick Plitzner
ref #7268, #6913 Remove p2 related code

Revision c72cace9 - 05/15/2018 04:25 PM - Patrick Plitzner

ref #6913 Remove test specimen import view

Revision 1de8f66a - 05/15/2018 04:25 PM - Patrick Plitzner

ref #6913 Remove e3 context menus

Revision 1¢83c1e2 - 05/15/2018 04:25 PM - Patrick Plitzner

ref #6913 Remove unused handler

Revision fadf903a - 05/15/2018 04:25 PM - Patrick Plitzner

ref #6913 Remove e3 taxon navigator extensions

Revision a1d4e9e9 - 05/15/2018 04:25 PM - Patrick Plitzner

ref #6913 Remove e3 context menu items and name viewer extensions

Revision 586de129 - 05/15/2018 04:25 PM - Patrick Plitzner

ref #6913 Remove e3 taxon navigator extensions (part 2)

Revision dcf94302 - 06/04/2018 05:55 PM - Patrick Plitzner
ref #6913 remove p2.inf files

Revision 80f1b620 - 06/04/2018 06:08 PM - Patrick Plitzner

ref #6913 remove p2.inf files from build.properties

History

#1 - 05/15/2018 12:25 PM - Andreas Miiller

- Status changed from New to In Progress

How far is this done? As far as | know you have worked on this during 5.0 a lot.

#2 - 05/15/2018 01:21 PM - Patrick Plitzner
- % Done changed from 0 to 80

I will have a quick look if | can remove some e3 code before the release. Most of it is done.

#3 - 05/15/2018 04:27 PM - Patrick Plitzner
- Status changed from In Progress to Closed
- Target version changed from Unassigned CDM tickets to Release 5.0

- % Done changed from 80 to 100

Closing this ticket now.
Most of the classes that are not used anymore are deleted. Some code cannot be deleted without full e4 migration which we did not plan to do right
now.

If we encounter any more €3 dependencies | missed we can just delete them if they are not used anymore.
